// TestPrnView.cpp : Implementierung der Klasse CTestPrnView
//

#include "stdafx.h"
#include "TestPrn.h"

#include "TestPrnDoc.h"
#include "TestPrnView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CTestPrnView

IMPLEMENT_DYNCREATE(CTestPrnView, CEditView)

BEGIN_MESSAGE_MAP(CTestPrnView, CEditView)
	ON_COMMAND(ID_FILE_PRINT, CEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CEditView::OnFilePrintPreview)
END_MESSAGE_MAP()

// CTestPrnView Erstellung/Zerstrung

CTestPrnView::CTestPrnView()
{
}

CTestPrnView::~CTestPrnView()
{
}

BOOL CTestPrnView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: ndern Sie hier die Fensterklasse oder die Darstellung, indem Sie
	//  CREATESTRUCT cs modifizieren.

	BOOL bPreCreated = CEditView::PreCreateWindow(cs);
	cs.style &= ~(ES_AUTOHSCROLL|WS_HSCROLL);	// Automatischen Wortumbruch aktivieren

	return bPreCreated;
}


// CTestPrnView drucken

BOOL CTestPrnView::OnPreparePrinting(CPrintInfo* pInfo)
{
	return CEditView::OnPreparePrinting(pInfo);
}

void CTestPrnView::OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo)
{
	// Standard-CEditView Druckbeginn
	DEVMODE* dm1=(DEVMODE*) GlobalLock(pInfo->m_pPD->m_pd.hDevMode);
	dm1->dmFields = DM_ORIENTATION | DM_PAPERSIZE;
	dm1->dmOrientation=DMORIENT_PORTRAIT; // DMORIENT_LANDSCAPE; // 
	dm1->dmPaperSize = DMPAPER_A4;
	GlobalUnlock(pInfo->m_pPD->m_pd.hDevMode);
	CEditView::OnBeginPrinting(pDC, pInfo);
}

void CTestPrnView::OnEndPrinting(CDC* pDC, CPrintInfo* pInfo)
{
	// Standard-CEditView Ende des Druckens
	CEditView::OnEndPrinting(pDC, pInfo);
}


// CTestPrnView Diagnose

#ifdef _DEBUG
void CTestPrnView::AssertValid() const
{
	CEditView::AssertValid();
}

void CTestPrnView::Dump(CDumpContext& dc) const
{
	CEditView::Dump(dc);
}

CTestPrnDoc* CTestPrnView::GetDocument() const // Nicht-Debugversion ist inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CTestPrnDoc)));
	return (CTestPrnDoc*)m_pDocument;
}
#endif //_DEBUG
